<?php $page_slider = restocore_wc_get_meta_data('page_slider'); ?>
<div id="page-slider">
	<div class="page-slider has-bg owl-carousel">
		<?php foreach ($page_slider as $slider) : ?>
			<?php $src = wp_get_attachment_image_src( $slider['slide_image'], 'full' ); ?>
			<div class="item <?php echo (cs_get_option('dzsparallaxer') ? 'dzsparallaxer auto-init height-is-based-on-content use-loading' : 'simple-parallax') ?>">
				<div class="divimage dzsparallaxer--target" style="background-image: url(<?php echo esc_attr( $src[0] ); ?>)"></div>
				<?php if( $slider['slide_title'] || $slider['slide_description'] || $slider['slide_button_link'] ): ?>
					<div class="info">
						<?php if ($slider['slide_title']): ?>
							<h2 class="font-heading"><?php echo esc_html( $slider['slide_title'] ); ?></h2>
						<?php endif; ?>
						<?php if($slider['slide_description']) : ?>
							<div class="description">
								<?php echo wpautop($slider['slide_description']) ?>
							</div>
						<?php endif; ?>
						<?php if( $slider['slide_button_link'] ): ?>
							<?php 
								if( $slider['slide_button_text'] ) {
									$slide_btn_text = $slider['slide_button_text'];
								} else {
									$slide_btn_text = esc_html__( 'Read More', 'cristiano' );
								} 
							?>
							<a class="more" href="<?php echo esc_attr($slider['slide_button_link']); ?>"><?php echo esc_html($slide_btn_text); ?></a>
						<?php endif; ?>
					</div>
				<?php endif; ?>
				<span class="shading <?php echo cs_get_customize_option('shading_overlay', 'gradient'); ?>"></span>	
			</div>
		<?php endforeach; ?>
	</div>
	<script>
		jQuery('.page-slider').owlCarousel({
			items: 1,
			margin: 00,
			autoplay: true,
			autoplayHoverPause: true,			
			nav: true,
		});
	</script>
</div>